<!-- <div class="layout-wrapper layout-2" [ngClass]="{'layout-loading': !initialized}"> -->
<!--  layout-fixed layout-collapsed classes added by karthick for globrl filter fixed top -->
<!-- <div class="layout-wrapper layout-fixed layout-collapsed layout-2" [ngClass]="{'layout-loading': !initialized}">
  <div class="layout-inner"> -->
<!-- Instruction overlay -->
<!-- <div class="instruction-overlay" *ngIf="isOverlay && !deviceService.isMobile()">
  <div class="inner-content" [style.background]="'url('+overlayImage+')'">
    <div style="position: absolute;bottom:2vh; left:10vw">
      <button class="btn btn-primary" (click)="overLayFn('skip')">Skip</button>
    </div>
    <div style="position: absolute;bottom:2vh; right:10vw">
      <label class="custom-control custom-checkbox">
        <input type="checkbox" class="custom-control-input" [(ngModel)]="dontShowAgain">
        <span class="custom-control-label" style="color:#fff">Don't Show again</span>
      </label>
    </div>


  </div>
</div> -->
<!-- Instruction overlay -->
<div class="layout-wrapper layout-2" [ngClass]="{'layout-loading': !initialized}">
  <div class="layout-inner">


    <div class="layout-container" >


      <app-layout-navbar ></app-layout-navbar>
      <!-- <app-layout-navbar-mob *ngIf="deviceService.isMobile() || deviceService.isTablet()"></app-layout-navbar-mob> -->

      <ng-container *ngIf="layoutService.showChatBox">
        <jarvis></jarvis>
      </ng-container>
      <!-- body main -->
      <div class="body-main">
        <div class="main-layout ">
          <!-- <div>
              <div class="add-md"><i class="fa fa-plus"></i></div>
            </div> -->

          <app-layout-sidenav [sidemenu]="sidemenu" [ngClass]="flowScrolled?'flow-scroll':'flow-not-scroll'"></app-layout-sidenav>
        </div>

        <div class="layout-content bg-lightgray">          
        <div class="default-gradient" style="height:4px;"></div>
          <div class="container-fluid router-transitions flex-grow-1 container-p-y" >
            <router-outlet></router-outlet>
          </div>
        </div>

      </div>
      <!-- body main -->


    </div>






  </div>
</div>
<div class="layout-overlay" (click)="closeSidenav()"></div>
